Subject: Re: [PATCH] IPv6: Implement RFC 4429 Optimistic Duplicate Address Detection

From: Vlad Yasevich <[email-masked]>
Date: Thu, 25 Jan 2007 17:13:57 -0500

Hi Neil

> 
> I prefer to be more explicit in my order of operation, but that does seem more
> consistent with the prevaling style.  New patch attached.
> 

Looks good to me.

One question thought.  What causes the stack to send via Default Router instead
of sending an NS (Section 3.2).  I see there is code to prevent sending NS from
the optimistic address, but I see nothing that would send this packet to a default
router.  This might be buried somewhere in the routing code, but I just can't see it.

Thanks
-vlad